<?php
//=================================================================
// KOOBI R7 - CMS - PORTALSOFTWARE(c) DREAM4(r) 
// HTTP://WWW.DREAM4.DE
//=================================================================
// ACHTUNG!
// DIESER PROGRAMMCODE IST URHERRECHTLICH GESCHUETZT
// DIE URHEBERRECHTE LIEGEN BEI DEN JEWEILIGEN AUTOREN.
// AENDERUNGEN IN DIESER DATEI ERFOLGEN AUF EIGENE GEFAHR!
// ES IST NICHT GESTATTET, DEN COPYRIGHTHINWEIS ZU AENDERN ODER ZU
// ENTFERNEN. NUR WENN SIE EINE COPYRIGHTHINWEIS-ENTFERNUNG BESTELLT
// HABEN, DUERFEN SIE DIESEN ENTFERNEN.
//================================================================
// BEI FRAGEN WENDEN SIE SICH BITTE AN: KONTAKT@DREAM4.DE
//=================================================================
if(!defined('START_PATH')) exit;

if(@!file_exists(BASE_DIR . '/class/Class.Gallery.php')) notActive();

if(!permission('gallery'))
{
	noperm();
} else {
	if(get_active('gallery'))
	{
		include_once(BASE_DIR . '/class/Class.Gallery.php');
		$Gallery = new Gallery;
		$GLOBALS['tmpl']->assign('gs', $Gallery->GetSettings());
		
		$_REQUEST['action'] = isset($_REQUEST['action']) ? $_REQUEST['action'] : 'showall';
		
		switch($_REQUEST['action'])
		{	
			case 'showall':
				$Gallery->ShowAll();
			break;
			
			case 'categquicksearch':
				$Gallery->GalCategQuickSearch($_REQUEST['q']);
			break;
			
			case 'showincluded':
				$Gallery->ShowIncluded($_REQUEST['categ']);
			break;
			
			case 'showgallery':
				$Gallery->ShowGallery($_REQUEST['id']);
			break;
			
			case 'showimage':
				$Gallery->ShowImage($_REQUEST['id'],$_REQUEST['galid']);
			break;
			
			case 'upload_multi':
				$Gallery->FastUpload();
			break;
			
			case 'ajaxupload':
				$Gallery->AjaxUpload();
			break;
			
			case 'ajaxrandom':
				$Gallery->AjaxSlide($_REQUEST['id'],$_REQUEST['ascdesc'],@$_REQUEST['blanc'], @$_REQUEST['first_id'],'',@$_REQUEST['categ']);
			break;
			
			case 'ajaxtop':
				$Gallery->AjaxSlide($_REQUEST['id'],'','','',1,@$_REQUEST['categ']);
			break;
			
			case 'addfavorite':
				$Gallery->AjaxAddFavorite(@$_REQUEST['img_id'],@$_REQUEST['gal_id']);
			break;
			
			case 'deletefavorite':
				$Gallery->AjaxDeleteFavorite(@$_REQUEST['img_id'],@$_REQUEST['gal_id']);
			break;
			
			case 'delete_allfavorites':
				$Gallery->deleteFavoritesGallery($_REQUEST['galid'],$_REQUEST['categ'], $_REQUEST['name']);
			break;
		}
	} else {
		notActive();
	}
}
?>